LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Linux - Software (https://www.linuxquestions.org/questions/linux-software-2/)
-   -   How to install a video player (https://www.linuxquestions.org/questions/linux-software-2/how-to-install-a-video-player-746549/)

neerajrawat1 08-10-2009 05:53 PM

How to install a video player
 
I am using RHEL5 and not registered with red hat so can anyone tell me how to install a video player that will play most of the video formats. Yum is not configured can you guys tell me that i am not registered with red hat even then can i configure yum?????


One of the member priyadarshee helped me and told me that

>Run this on ur terminal (U must connected to internat )



rpm -Uhv http://apt.sw.be/redhat/el5/en/i386/...l5.rf.i386.rpm


b>To install video players ,there r many as vlc,mplayer,xine etc. Install all or any one as u want... by



yum install mplayer

yum install vlc

yum install xine


c>During installation u may have 'dependency missing' error message.Just dont be worry....It'll say which dependency are required..U just go here..
http://rpm.pbone.net/

search for the dependency u require by checking the RHEL-5,CENTOS-5 and FEDORA-6 below..

Get them one by one and install them manually by rpm command...

d>Finally run the step b from above ,and there will be no dependecy error...

But before this when i was trying to install vlc i was getting a loads of missing dependencies,after doing all this i am getting this message

Error: Missing Dependency: libQtGui.so.4 is needed by package vlc
Error: Missing Dependency: libfribidi.so.0 is needed by package vlc
Error: Missing Dependency: libXvMCW.so.1 is needed by package vlc
Error: Missing Dependency: libQtCore.so.4 is needed by package vlc
Error: Missing Dependency: libartsc.so.0 is needed by package vlc
Error: Missing Dependency: libSDL-1.2.so.0 is needed by package vlc
Error: Missing Dependency: libSDL-1.2.so.0 is needed by package SDL_image
Error: Missing Dependency: libSDL-1.2.so.0 is needed by package ffmpeg
Error: Missing Dependency: libgif.so.4 is needed by package imlib2

and i dint find in

http://rpm.pbone.net/

when i searched i libQtGui.so.4 i am getting

RedHat EL 5

ftp.pramberger.at/systems/linux/contrib/rhel5/i386/qt45-4.5.2-1.el5.pp.i386.rpm

RedHat EL 5 ftp.pramberger.at/systems/linux/contrib/rhel5/i386/qt45-4.5.1-1.el5.pp.i386.rpm

And

RedHat EL 5 ftp.pramberger.at/systems/linux/contrib/rhel5/i386/qt45-4.5.0-2.el5.pp.i386.rpm



Now which one to install Or any one installation will solve the issue

now there are more then one dependency for rhel i 86 that too with a different name


As far as i am updated dependencyis missing rpms????correct me if i am wrong then why it is showing different name in search result like

qt45-4.5.0-2.el5.pp.i386.rpm

, if i had enter a different name like in search i tyuped in

libQtGui.so.4

lazlow 08-10-2009 06:26 PM

This is why we strong suggest that if you cannot afford the subscription to RHEL that you NOT run it. It is far easier to switch to Centos. Centos is RHEL with the logos removed and is binary compatible. It is free to download/update(unlike RHEL). If you would switch to Centos you could use yum, and avoid this entire issue.

neerajrawat1 08-10-2009 06:30 PM

Yes i know that tried centos,open suse,others are fine now have to do in rhel and there must be a way to solve the issue as well as i did for mp3 and word files initially they were also the same now no probs with them


All times are GMT -5. The time now is 10:16 PM.